summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorWarren Togami <wtogami@redhat.com>2009-07-16 16:58:19 -0400
committerWarren Togami <wtogami@redhat.com>2009-07-16 16:58:19 -0400
commitbeb097d9f10db08c38a0160cb3573fb303d1d7e3 (patch)
treec5f095c7b7113c985933a24965c84c26099e88e9 /test
parent44f1ab82850b950c41b369eac265978e81e5846a (diff)
Bridged network boot
* SYNTAX bridge=<bridgename>:<ethname> If bridge without parameters, assume bridge=br0:eth0 * When <ethname> would be configured by network scripts, instead create a bridge named <bridgename> then add <ethname> to that bridge. * Then $netif becomes <bridgename> instead of <ethname> and all existing scripts process netroot mount via this new $netif instead of <ethname>. * Include a few test cases in NFS and NBD
Diffstat (limited to 'test')
-rwxr-xr-xtest/TEST-20-NFS/test.sh6
-rwxr-xr-xtest/TEST-40-NBD/test.sh7
2 files changed, 13 insertions, 0 deletions
diff --git a/test/TEST-20-NFS/test.sh b/test/TEST-20-NFS/test.sh
index 1811eca..cd81424 100755
--- a/test/TEST-20-NFS/test.sh
+++ b/test/TEST-20-NFS/test.sh
@@ -125,6 +125,9 @@ test_nfsv3() {
client_test "NFSv3 root=nfs:..." 52:54:00:12:34:04 \
"root=nfs:192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
+ client_test "NFSv3 Bridge root=nfs:..." 52:54:00:12:34:04 \
+ "root=nfs:192.168.50.1:/nfs/client bridge" 192.168.50.1 -wsize=4096 || return 1
+
client_test "NFSv3 Legacy root=IP:path" 52:54:00:12:34:04 \
"root=192.168.50.1:/nfs/client" 192.168.50.1 -wsize=4096 || return 1
@@ -135,6 +138,9 @@ test_nfsv3() {
client_test "NFSv3 root=dhcp DHCP path,options" \
52:54:00:12:34:05 "root=dhcp" 192.168.50.1 wsize=4096 || return 1
+ client_test "NFSv3 Bridge Customized root=dhcp DHCP path,options" \
+ 52:54:00:12:34:05 "root=dhcp bridge=foobr0:eth0" 192.168.50.1 wsize=4096 || return 1
+
client_test "NFSv3 root=dhcp DHCP IP:path,options" \
52:54:00:12:34:06 "root=dhcp" 192.168.50.2 wsize=4096 || return 1
diff --git a/test/TEST-40-NBD/test.sh b/test/TEST-40-NBD/test.sh
index c3d8bfc..b3a580f 100755
--- a/test/TEST-40-NBD/test.sh
+++ b/test/TEST-40-NBD/test.sh
@@ -106,6 +106,10 @@ test_run() {
"root=nbd:192.168.50.1:2000:ext2:errors=panic" \
ext2 errors=panic || return 1
+ client_test "NBD Bridge root=nbd:IP:port:fstype:fsopts" 52:54:00:12:34:00 \
+ "root=nbd:192.168.50.1:2000:ext2:errors=panic bridge" \
+ ext2 errors=panic || return 1
+
# There doesn't seem to be a good way to validate the NBD options, so
# just check that we don't screw up the other options
@@ -125,6 +129,9 @@ test_run() {
client_test "NBD root=dhcp DHCP root-path nbd:srv:port" 52:54:00:12:34:01 \
"root=dhcp" || return 1
+ client_test "NBD Bridge root=dhcp DHCP root-path nbd:srv:port" 52:54:00:12:34:01 \
+ "root=dhcp bridge" || return 1
+
client_test "NBD root=dhcp DHCP root-path nbd:srv:port:fstype" \
52:54:00:12:34:02 "root=dhcp" ext2 || return 1